petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESConvergenceTestFunction

functional form used for testing of convergence of nonlinear solver

### Synopsis

    #include <petscsnes.h>
    $     PetscErrorCode SNESConvergenceTest(SNES snes,PetscInt it,PetscReal xnorm,PetscReal gnorm,PetscReal f,SNESConvergedReason *reason,void *cctx)

| snes | - the SNES context
| it | - current iteration (0 is the first and is before any Newton step)
| cctx | - [optional] convergence context
| reason | - reason for convergence/divergence
| xnorm | - 2-norm of current iterate
| gnorm | - 2-norm of current step
| f | - 2-norm of function

### See Also

SNESSetConvergenceTest(), SNESGetConvergenceTest()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages